import request from '@/utils/request'

const BASE_API = process.env.VUE_APP_BASIC_API

/**
* 上传文件接口
* @time 2022-04-29 17:44:23
*/
export const postUploadFile = `${BASE_API}file/upload`

// 上传图片-加水印加密
export const cuscImageUpload = `${BASE_API}cuscImage/upload`

/**
* 获取人脸识别code
* @time 2022-05-03 14:30:20
*/
export function getLivenessCode(data) {
  return request({
    url: `${BASE_API}personalRnr/getLivenessCode`,
    method: 'get',
    data
  })
}

/**
 * 卡解绑 - 原车主解绑并发送短信到用户
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8176
 */
export const cardUnbindOriginalOwner = (data) => {
  return request({
    url: `${BASE_API}card/unbind/originalOwner`,
    hideToast: true,
    data
  })
}

/**
 * 卡解绑 - 原车住解绑解绑事件发起后, 轮询查看工单的状态
 */
export function postPollCardUnbindStatus(data) {
  return request({
    url: `${BASE_API}card/unbind/checkOrderStatus`,
    hideToast: true,
    data
  })
}

/**
 * 卡解绑 - 二手车解绑
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8180
 */
export const cardUnbindSecondHandPersonal = (data) => {
  return request({
    url: `${BASE_API}card/unbind/secondHandPersonal`,
    hideToast: true,
    data
  })
}

/**
* 二手车卡解绑 - 根据vin获取已实名的iccid列表
* @yapi http://10.166.2.23:3000/project/28/interface/api/8276
*/
export function postRnrInfoByVin(options) {
  return request({
    url: `${BASE_API}vehicleCard/getRnrInfoByVin`,
    ...options
  })
}

/**
 * 换件 - 提交车机更换
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8188
 */
export const changeTbox = (data) => {
  return request({
    url: `${BASE_API}change/tbox/submit`,
    hideToast: true,
    data
  })
}

/**
* 一车多卡绑定 - 根据VIN获取未绑定的ICCID列表
* @time 2022-05-06 15:20:32
*/
export function getUnBindIccidList(options) {
  return request({
    url: `${BASE_API}vehicleCard/getUnBindIccidList`,
    ...options
  })
}

/**
 * 一车多卡绑定 - 提交绑定剩余卡
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8264
 */
export function surplusCardBind(data) {
  return request({
    url: `${BASE_API}surplus/card/bind/submit`,
    hideToast: true,
    data
  })
}

/**
* 一车多卡绑定 - 查询绑定结果
* @yapi http://10.166.2.23:3000/project/28/interface/api/8260
*/
export function surplusCardResult(data) {
  return request({
    url: `${BASE_API}surplus/card/bind/queryResult`,
    hideToast: true,
    data
  })
}

/**
* 一车多卡绑定、换件 - 校验绑定关系
* @yapi http://10.166.2.23:3000/project/28/interface/api/8280
*/
export function verifyVinCard(data) {
  return request({
    url: `${BASE_API}vehicleCard/verifyVinCard`,
    data
  })
}

/**
 * 车企实名解绑 - 车企实名解绑校验车卡信息
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8272
 */
export function vehicleUnboundVerifyVinCards(data) {
  return request({
    url: `${BASE_API}vehicle/unbound/verifyVinCards`,
    data
  })
}

/**
 * 车企实名解绑 - 提交车企解绑信息
 * @yapi http://10.166.2.23:3000/project/28/interface/api/8268
 */
export function vehicleUnbound(data) {
  return request({
    url: `${BASE_API}vehicle/unbound/submit`,
    hideToast: true,
    data
  })
}

/**
 * 车企实名解绑 - 查询车企详情
 * @yapi http://10.166.2.23:3000/project/28/interface/api/7160
 */
export function manufacturerRnrGetDetail(data) {
  return request({
    url: `${BASE_API}manufacturerRnr/getDetail`,
    data
  })
}

/**
 * 原车主、换件 - 返回依据VIN相关的实名信息及iccid列表
 */
export function postIccidsByVin(options) {
  return request({
    url: `${BASE_API}card/unbind/getIccidsByVin`,
    ...options
  })
}

/**
 * 企业实名解绑：解绑参数校验
 * @yapi http://yapi.cusc.com:3000/project/28/interface/api/12032
 */
export function enterpriseUnBindCheck(data) {
  return request({
    url: `${BASE_API}enterprise/unBindCheck`,
    data
  })
}

/**
 * 企业实名解绑：提交解绑信息
 * @yapi http://yapi.cusc.com:3000/project/28/interface/api/12036
 */
export function enterpriseSubmitUnBind(data) {
  return request({
    url: `${BASE_API}enterprise/submitUnBind`,
    data
  })
}
